# $Revision: 1.5 $, $Date: 2002/01/07 11:46:37 $
Summary:	A weather plugin for gkrellm
Summary(pl):	Plugin pokazujcy pogod dla gkrellm
Summary(pt_BR):	Um plugin gkrellm para acompanhamento das condies climticas
Name:		gkrellm-weather
Version:	0.2.7
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Group(de):	X11/Applikationen/Netzwerkwesen
Group(pl):	X11/Aplikacje/Sieciowe
Source0:	http://www.cse.unsw.edu.au/~flam/repository/c/gkrellm/gkrellweather-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.cse.unsw.edu.au/~flam/programs/gkrellweather.html
Requires:	perl
BuildRequires:	gkrellm-devel >= 1.0.2
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
GKrellWeather is a weather plugin for GKrellM. Its features include:

  - Choose your own location by 4-letter METAR station identifier code.
  - Monitor temperature, dew point, pressure, relative humidity, sky
    condition, wind direction and speed
  - Display using imperial units (degrees Fareheight, inches of Mercury,
    miles per hour)
  - Display using metric units (degrees Celsius, millimeters of Mercury,
    kilometers per hour)
  - Display pressure in kPa, hPa and mmHg
  - Display wind speeds in kmph, mps and beaufort scale

%description -l pl
GKrellWeather jest pluginem pokazujcym pogod w GKrellM. Jego
wasnoci:

  - Wybieranie lokalizacji poprzez 4-literowy kod METAR.
  - Monitorowanie temperatury, dew point, cinienia, wilgotnoci, stanu
    zachmurzenia, prdkoci i kierunku wiatru.
  - Wywietlanie przy uyciu systemu miar anglosaskich (stopnie
    Fareheighta, cale supa rtci, mile na godzin) jak i metrycznego
    (stopnie Celsjusza, milimetry supa rtci, kilometry na godzin)
  - wywietlanie cinienia w kPa, hPa i mmHg
  - wywietlanie prdkoci wiatru w km/h, m/s i w skali Beauforta

%description -l pt_BR
Um plugin gkrellm para acompanhamento das condies climticas,
inclui:

 - Escolha sua localizao atravs de um cdigo de identificao de 4
   letras (estao METAR)
 - Monitora temperatura, presso, ponto de orvalho, umidade relativa,
   condies atmosfricas, direo e velocidade do vento
 - Mostrar usando o sistema imperial de medidas (graus Fareheight,
   polegadas de mercrio, milhas por hora)
 - Mostrar usando o sistema mtrico (graus Clsius, milmetros de
   mercrio, kilmetros por hora)
 - Mostrar presso em kPa, hPa e mmHg
 - Mostrar velocidade do vendo em kmph, mps e escala beaufort

%prep
%setup -q -n gkrellweather-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/gkrellm,%{_bindir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}/gkrellm \
	BINDIR=%{_bindir} install

gzip -9nf README ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(644,root,root) %{_libdir}/gkrellm/gkrellweather.so
%attr(755,root,root) %{_bindir}/GrabWeather

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gkrellm-weather.spec,v $
Revision 1.5  2002/01/07 11:46:37  blues
- 0.2.7 (fixes hang-ups in some cases)
- patch updated

Revision 1.4  2002/01/07 11:22:30  blues
- URLs updated

Revision 1.3  2001/09/17 12:14:02  qboosh
- removed English "es" translations

Revision 1.2  2001/08/06 12:24:03  kloczek
- cosmetics.

Revision 1.1  2001/08/05 11:09:41  blues
- brand new gkrellm plugin - shows weather conditions

Based on Conectiva spec file.
